إصدار ‏‎Graph API‎‏

Video Copyright

قراءة

A video copyright

تجربة الصفحات الجديدة

نقطة النهاية هذه مدعومة في ‏تجربة الصفحات الجديدة‏.

مثال

Graph API Explorer
GET /v25.0/{video-copyright-id} HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{video-copyright-id}',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{video-copyright-id}",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{video-copyright-id}",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{video-copyright-id}"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
إذا كنت تريد التعرف على كيفية استخدام واجهة Graph API، يرجى قراءة ‏دليل استخدام واجهة Graph API‏.

المعلمات

لا تحتوي نقطة النهاية هذه على أي معلمات.

الحقول

الحقلالوصف
id
numeric string

The video copyright ID

content_category
enum

The content category of the reference file.

copyright_content_id
numeric string

The copyright content ID

creator

The account that created the copyright

excluded_ownership_segments
list<VideoCopyrightSegment>

The list of audio and video segments excluded from copyright monitoring. This includes both self-defined excluded segments as well as system generated excluded segments.

in_conflict
bool

Whether the video copyright is in active conflict with another rights owner's video copyright.

monitoring_status
enum

Whether the video is monitored successfully for copyright. The status could be NOT_EXAMINED, COPYRIGHTED, and ERROR.

monitoring_type
enum

Whether the video is monitored for VIDEO, AUDIO, or VIDEO_AND_AUDIO

ownership_countries
VideoCopyrightGeoGate

Two string arrays of ISO 3166 format country codes. included_countries are where the owner owns the rights to the content. excluded_countries are where the owner does not own the rights to the content. When both lists are empty, rights ownership is worldwide.

reference_file
CopyrightReferenceContainer

The reference file

reference_file_disabled
bool

Whether the reference file is disabled.

reference_file_disabled_by_ops
bool

Whether the reference file has been disabled by ops.

reference_owner_id
string

The ID of the reference video owner

rule_ids

A list of matching rules applied to the copyrighted content

tags
list<string>

The tags/keywords associated with the copyright

whitelisted_ids
list<numeric string>

A list of page IDs or user IDs, who are allowed to use the copyrighted content.

عناصر الربط

حد الشبكة الخلويةالوصف
Edge<MediaCopyrightUpdateRecord>

Update records of the copyright

‎Error Codes‎

خطأالوصف
368The action attempted has been deemed abusive or is otherwise disallowed

إنشاء

‎You can make a POST request to video_copyrights edge from the following paths:
‎When posting to this edge, a VideoCopyright will be created.‎

المعلمات

معلمةالوصف
attribution_id
numeric string or integer

For Rights Manager Lite, please provide ID of the Page where the attribution should link to. Provide 0 if you want to unlink the reference file with its current attribution. For Rights Manager Pro, please provide ID of the attribution to be displayed for valid monitored videos matching this content.

content_category
enum {episode, movie, web}

A string array representing the reference file's content category

copyright_content_id
numeric string or integer

This is the ID of the content which needs to be copyrighted. It could be an ID of a video, or an ID of a live video.

مطلوب
excluded_ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner does not own the rights to the content

excluded_ownership_segments
list<Video Match Segment>

An array of match segments to exclude from the matching algorithm

start_time_in_sec
float

مطلوب
media_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

مطلوب
duration_in_sec
float

مطلوب
segment_source
enum {PUBLISHER_DEFINED, PAUSE_LIVE_MONITORING, LABEL_MUTED, PUBLISHER_MUTED, MUSIC_RESTRICTION_MUTED_STILL_VIDEO, MUSIC_RESTRICTION_MUTED_MULTI_TRACK, AUDIO_LIBRARY_USAGE, MELODY, INELIGIBLE_CONTENT}
القيمة الافتراضية: ‏‎PUBLISHER_DEFINED‎‏

is_reference_disabled
boolean

If true, stop creating matches for the reference file.

is_reference_video
boolean
القيمة الافتراضية: ‏‎false‎‏

True indicates that the content is used only as a reference video, and is not available for consumption on Facebook.

monitoring_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

Setting to indicate whether the content has copyright ownership on video, audio, or both.

ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner owns the rights of the content

rule_id
numeric string or integer

A copyright rule to be applied to the copyrighted content.

tags
array<string>

The tags/keywords associated with the copyright

whitelisted_ids
list<numeric string>

A list of page IDs or user IDs, who are allowed to use the copyrighted content.

whitelisted_ig_user_ids
list<numeric string>

A list of instagram user IDs who are allowed to use the copyrighted content.

‎Return Type‎

‎This endpoint supports ‎read-after-write‎ and will read the node represented by id in the return type.‎
Struct {
id: numeric string,
}

‎Error Codes‎

خطأالوصف
283That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata
100Invalid parameter

جارٍ التحديث

‎You can update a VideoCopyright by making a POST request to /{video_copyright_id}.‎

المعلمات

معلمةالوصف
append_excluded_ownership_segments
boolean

If true, append the excluded ownership segments instead of replacing them

attribution_id
numeric string or integer

The ID of the attribution to be displayed for valid monitored videos matching this content.

content_category
enum {episode, movie, web}

The content category of the copyrighted reference file.

excluded_ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner does not own the rights to the content

excluded_ownership_segments
list<Video Match Segment>

An array of match segments to exclude from the matching algorithm. System generated excluded segments may not be replaced.

start_time_in_sec
float

مطلوب
media_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

مطلوب
duration_in_sec
float

مطلوب
segment_source
enum {PUBLISHER_DEFINED, PAUSE_LIVE_MONITORING, LABEL_MUTED, PUBLISHER_MUTED, MUSIC_RESTRICTION_MUTED_STILL_VIDEO, MUSIC_RESTRICTION_MUTED_MULTI_TRACK, AUDIO_LIBRARY_USAGE, MELODY, INELIGIBLE_CONTENT}
القيمة الافتراضية: ‏‎PUBLISHER_DEFINED‎‏

is_reference_disabled
boolean

If true, stop creating matches for the reference file.

monitoring_type
enum {VIDEO_AND_AUDIO, VIDEO_ONLY, AUDIO_ONLY}

Setting to indicate whether the content has copyright ownership on video, audio, or both.

ownership_countries
list<UTF-8 encoded string>

A string array of ISO 3166 format country codes, where the owner owns the rights to the content

rule_id
numeric string or integer

A copyright policy to be applied to the copyrighted content.

whitelisted_ids
list<numeric string>

A list of page IDs or user IDs, who are allowed to use the copyrighted content.

whitelisted_ig_user_ids
list<numeric string>

A list of Instagram user IDs who are allowed to use the copyrighted content.

‎Return Type‎

‎This endpoint supports ‎read-after-write‎ and will read the node to which you POSTed.‎
Struct {
success: bool,
}

‎Error Codes‎

خطأالوصف
100Invalid parameter
200Permissions error

جارٍ الحذف

لا يمكنك تنفيذ هذه العملية في نقطة النهاية هذه.